perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Wattinger <christian.wattin...@serious4.ch>
Subject using XML::Parser with apache/modperl ???
Date Tue, 03 Jul 2001 16:06:20 GMT
hi

question: is it possibly (should certainly be) to use
the perl XML::Parser module with apache/modperl??
-----------------------------------------------------
-----------------------------------------------------
i ran into some problems trying this, here is what
happened:

i installed expat and  the  XML::Parser onto
my macosx/darwin machine (perl 5.6.0, apache 1.3.19).

when i run a CGI  
(it makes use of XML::Parser which uses EXPAT, a XMLparser C-library )
under my apache/mod_perl server it generates an error saying:

------------
dyld: /usr/sbin/httpd multiple definitions of symbol _XML_DefaultCurrent

/usr/sbin/httpd definition of _XML_DefaultCurrent
/Library/Perl/darwin/auto/XML/Parser/Expat/Expat.bundle definition of
_XML_DefaultCurrent
-------------

apache vs. expat conflict as it seems

the CGI script runs fine in the  tcsh-shell

on first try i only removed the
/Library/Perl/darwin/auto/XML/Parser/Expat/Expat.bundle
but of course this makes it worse saying:

---------------
[Tue Jul  3 15:27:30 2001] [error] PerlRun: `Can't locate loadable object
for module 
XML::Parser::Expat in @INC (@INC contains: /System/Library/Perl/darwin
/System/Library/Perl
 /Library/Perl/darwin /Library/Perl /Library/Perl
/Network/Library/Perl/darwin /Network/Library/Perl
 /Network/Library/Perl /usr/ /usr/lib/perl) at
/Library/Perl/darwin/XML/Parser.pm line 15
 Compilation failed in require at /Library/Perl/darwin/XML/Parser.pm line 15
during global destruction.
BEGIN failed--compilation aborted at /Library/Perl/darwin/XML/Parser.pm line
19 during global destruction.
Compilation failed in require at /Library/Perl/Create_Sentence.pm line 4
during global destruction.
BEGIN failed--compilation aborted at /Library/Perl/Create_Sentence.pm line 4
during global destruction.
Compilation failed in require at /Library/Perl/Speak.pm line 5 during global
destruction.
[Tue Jul  3 15:27:30 2001] [error] Can't locate object method "uri" via
package 
"Apache::PerlRun" at /System/Library/Perl/darwin/Apache/PerlRun.pm line 212
during global destruction.
--------------

obviously i cant remove
/usr/sbin/httpd 
...well its the apache server...

any ideas?

cheers
christian


Mime
View raw message